---
title: "Get watchlist"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › watchlists

`GET /v2/watchlists/{watchlistId}`

## Path parameters

- `watchlistId` (`watchlist-get.path.watchlistId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/watchlists/<watchlistId>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/watchlists/<watchlistId>';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/watchlists/<watchlistId>"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "isActive": true,
    "entityCount": 0,
    "containsEntity": true,
    "createdAt": "string",
    "updatedAt": "string",
    "entities": [
      {
        "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
        "name": "string",
        "slug": "string",
        "logoUrl": "string",
        "entityType": "string",
        "primaryExchange": "string",
        "primaryTicker": "string",
        "sureshakeTicker": "string",
        "addedAt": "string"
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`watchlist-get.response.200.data`; object, required)
  - `id` (`watchlist-get.response.200.data.id`; string, required)
    - format `uuid`
  - `name` (`watchlist-get.response.200.data.name`; string, required)
  - `description` (`watchlist-get.response.200.data.description`; string, required, nullable)
  - `isActive` (`watchlist-get.response.200.data.isActive`; boolean, required)
  - `entityCount` (`watchlist-get.response.200.data.entityCount`; integer, required)
    - min 0
  - `createdAt` (`watchlist-get.response.200.data.createdAt`; string, required)
  - `updatedAt` (`watchlist-get.response.200.data.updatedAt`; string, required)
  - `entities` (`watchlist-get.response.200.data.entities`; array<object>, required)
    - `entityId` (`watchlist-get.response.200.data.entities.entityId`; string, required)
      - format `uuid`
    - `name` (`watchlist-get.response.200.data.entities.name`; string, required)
    - `slug` (`watchlist-get.response.200.data.entities.slug`; string, required)
    - `logoUrl` (`watchlist-get.response.200.data.entities.logoUrl`; string, required, nullable)
    - `entityType` (`watchlist-get.response.200.data.entities.entityType`; string, required, nullable)
    - `primaryExchange` (`watchlist-get.response.200.data.entities.primaryExchange`; string, required, nullable)
    - `primaryTicker` (`watchlist-get.response.200.data.entities.primaryTicker`; string, required, nullable)
    - `sureshakeTicker` (`watchlist-get.response.200.data.entities.sureshakeTicker`; string, required, nullable)
    - `addedAt` (`watchlist-get.response.200.data.entities.addedAt`; string, required)
  - `containsEntity` (`watchlist-get.response.200.data.containsEntity`; boolean, optional)
- `meta` (`watchlist-get.response.200.meta`; object, optional)
  - `timestamp` (`watchlist-get.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-get.response.400.error`; object, required)
  - `code` (`watchlist-get.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-get.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-get.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-get.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-get.response.401.error`; object, required)
  - `code` (`watchlist-get.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-get.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-get.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-get.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-get.response.403.error`; object, required)
  - `code` (`watchlist-get.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-get.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-get.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-get.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-get.response.404.error`; object, required)
  - `code` (`watchlist-get.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-get.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-get.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-get.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-get.response.500.error`; object, required)
  - `code` (`watchlist-get.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-get.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-get.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-get.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/watchlists/retrieve/index.md
